Note on the new Galaxy Watch4

PhotoWear now supports the Galaxy Watch4, however there is an extra step that is required in order to make it work. Please see our FAQ page How to Use PhotoWear on Samsung Galaxy Watch4 for more detail.



Supported

Wear OS 2.X

PhotoWear is compatible with Google's Wear OS watches

Samsung Gear S3 and above

and select Samsung watches, including the Gear S3, Sport, Galaxy, and Galaxy Active 2.


Not Supported

Older/Legacy Samsung Smartwatches

The following smartwatches are not supported as they do not run a supported operating system or are too old

  • Samsung S2
  • Huawei GT2
  • FitBit
  • Amazfit


Older/Legacy Android Smartwatches

Smartwatches running the legacy Android Wear 1.x, these include:

  •  Asus ZenWatch
  • LGE G Watch
  • Samsung Gear Live
  • Sony SmartWatch 3
  • Moto 360 - Android Wear 1.x


These are the first generation of smartwatches and run the older version of Android Wear. Google is no longer providing updates to legacy smartwatches such as these, and as such, PhotoWear may not install or function properly.


Also, iPhones paired with Wear OS watches are not supported.